# Timestamp Class Reference
[Widely used base classes and interfaces]

Date and time container and utilities. More...

Inheritance diagram for Timestamp:
[legend]

List of all members.

## Public Member Functions

| toTime ($timeDelimiter= ':', $secondDelimiter= '.')
| toDateTime ($dateDelimiter= '-', $timeDelimiter= ':', $secondDelimiter= '.')
| getHour ()
| getMinute ()
| getSecond ()
| equals (Timestamp $timestamp)
| getDayStartStamp ()
| getHourStartStamp ()
| toIsoString ($convertToUtc=true)
| ISO 8601 time string.
| toTimestamp ()

## Static Public Member Functions

static | create ($timestamp)
static | now ()
static | makeNow ()
static | makeToday ()

## Protected Member Functions

| import ($string)
| stringImport ($string)
| buildInteger ()

## Static Protected Member Functions

static | getFormat ()

## Private Attributes

| $hour = null
| $minute = null
| $second = null

## Detailed Description

Date and time container and utilities.

See also:
  Date

Examples:

  cacheSettings.php.

Definition at line 21 of file Timestamp.class.php.

## Member Function Documentation

Timestamp::buildInteger | ( |  | ) | `[protected]`

Reimplemented from Date.

Definition at line 194 of file Timestamp.class.php.

static Timestamp::create | ( | $ | timestamp | ) | `[static]`

Returns:
  Timestamp

Reimplemented from Date.

Definition at line 30 of file Timestamp.class.php.

Referenced by DateUtils::alignToSeconds(), DateUtils::makeFirstDayOfMonth(), YandexRssItemWorker::makeItems(), RssItemWorker::makeItems(), AtomItemWorker::makeItems(), DateUtils::makeLastDayOfMonth(), and TextFileReceiver::receive().

Timestamp::equals | ( | Timestamp $ | timestamp | ) |

Definition at line 92 of file Timestamp.class.php.

References toDateTime().

Here is the call graph for this function:

Timestamp::getDayStartStamp | ( |  | ) |

Reimplemented from Date.

Definition at line 97 of file Timestamp.class.php.

static Timestamp::getFormat | ( |  | ) | `[static, protected]`

Reimplemented from Date.

Definition at line 140 of file Timestamp.class.php.

Referenced by stringImport().

Timestamp::getHour | ( |  | ) |

Definition at line 77 of file Timestamp.class.php.

Timestamp::getHourStartStamp | ( |  | ) |

Definition at line 105 of file Timestamp.class.php.

Timestamp::getMinute | ( |  | ) |

Definition at line 82 of file Timestamp.class.php.

Timestamp::getSecond | ( |  | ) |

Definition at line 87 of file Timestamp.class.php.

Timestamp::import | ( | $ | string | ) | `[protected]`

Reimplemented from Date.

Definition at line 145 of file Timestamp.class.php.

References Date::$string.

static Timestamp::makeNow | ( |  | ) | `[static]`

Returns:
  Timestamp

Definition at line 43 of file Timestamp.class.php.

Referenced by LogRecord::__construct(), TextMessage::__construct(), and OpenIdConsumer::associate().

static Timestamp::makeToday | ( |  | ) | `[static]`

Returns:
  Timestamp

Reimplemented from Date.

Definition at line 51 of file Timestamp.class.php.

References Date::today().

Referenced by RussianTextUtils::getDateAsText().

Here is the call graph for this function:

static Timestamp::now | ( |  | ) | `[static]`

Definition at line 35 of file Timestamp.class.php.

Timestamp::stringImport | ( | $ | string | ) | `[protected]`

Reimplemented from Date.

Definition at line 168 of file Timestamp.class.php.

References Date::$string, and getFormat().

Here is the call graph for this function:

Timestamp::toDateTime | ( | $ | dateDelimiter = `'-'`,
|  | $ | timeDelimiter = `':'`,
|  | $ | secondDelimiter = `'.'` |
| ) |  |  |

Definition at line 66 of file Timestamp.class.php.

References Date::toDate().

Referenced by equals().

Here is the call graph for this function:

Timestamp::toIsoString | ( | $ | convertToUtc = `true` | ) |

ISO 8601 time string.

Definition at line 124 of file Timestamp.class.php.

Timestamp::toTime | ( | $ | timeDelimiter = `':'`,
|  | $ | secondDelimiter = `'.'` |
| ) |  |  |

Definition at line 56 of file Timestamp.class.php.

Timestamp::toTimestamp | ( |  | ) |

Returns:
  Timestamp

Reimplemented from Date.

Definition at line 135 of file Timestamp.class.php.

## Member Data Documentation

Timestamp::$hour = null`[private]`

Definition at line 23 of file Timestamp.class.php.

Timestamp::$minute = null`[private]`

Definition at line 24 of file Timestamp.class.php.

Timestamp::$second = null`[private]`

Definition at line 25 of file Timestamp.class.php.

The documentation for this class was generated from the following file:

- core/Base/Timestamp.class.php